public class FindTheSeason {

    public static enum Months {
        JAN, FEB, MAR, APR, MAY, JUN, JUL, AUG, SEP, OCT, NOV, DEC
    }

    private static String whatIsTheSeason(Months month) {
            String result = switch (month) {
                case MAR, APR, MAY -> "Spring";
                case JUN,JUL,AUG -> "Summer";
                case SEP,OCT,NOV -> "Autumn";
                case DEC,JAN,FEB -> "Winter";
                default -> "Invalid Month entered: " +String.valueOf(month) ;
            };
        return result;
    }

    public static void main(String[] args) {
        String currentMonth = args[0];
		
		System.out.println("");

        System.out.println(
        		"The Season for the month " + currentMonth + " is: " + whatIsTheSeason(Months.valueOf(currentMonth)));
    }

}
